Index: trunk/LMDZ.GENERIC/deftank/callphys.earlymars
===================================================================
--- trunk/LMDZ.GENERIC/deftank/callphys.earlymars	(revision 728)
+++ trunk/LMDZ.GENERIC/deftank/callphys.earlymars	(revision 729)
@@ -104,8 +104,18 @@
 # H2O cloud fraction?
 CLFfixval     = 0.5
+# fixed radii for cloud particles?
+radfixed=.false.
 # number mixing ratio of CO2 ice particles
 Nmix_co2      = 100000.
-# number mixing ratio of water ice particles
-Nmix_h2o      = 100000.
+# number mixing ratio of water particles (for rafixed=.false.)
+Nmix_h2o      = 1.e7
+# number mixing ratio of water ice particles (for rafixed=.false.)
+Nmix_h2o_ice      = 5.e5
+# radius of H2O water particles (for rafixed=.true.):
+rad_h2o=10.e-6
+# radius of H2O ice particles (for rafixed=.true.):
+rad_h2o_ice=35.e-6
+# atm mass update due to tracer evaporation/condensation?
+mass_redistrib = .false.
 
 ## Water options 
@@ -117,6 +127,8 @@
 # Model water precipitation (including coagulation etc.)
 waterrain     = .true.
-# WATER: Precipitation threshold (simple scheme only) ?
-rainthreshold = 0.001
+# Use simple precipitation scheme?
+precip_scheme=4
+# multiplicative constant in Boucher 95 precip scheme
+Cboucher=1.
 # Include hydrology ?
 hydrology     = .true.
Index: trunk/LMDZ.GENERIC/deftank/callphys.earth
===================================================================
--- trunk/LMDZ.GENERIC/deftank/callphys.earth	(revision 728)
+++ trunk/LMDZ.GENERIC/deftank/callphys.earth	(revision 729)
@@ -103,8 +103,18 @@
 # H2O cloud fraction if fixed?
 CLFfixval     = 0.5
+# fixed radii for cloud particles?
+radfixed=.false.
 # number mixing ratio of CO2 ice particles
 Nmix_co2      = 100000.
-# number mixing ratio of water ice particles
-Nmix_h2o      = 100000.
+# number mixing ratio of water particles (for rafixed=.false.)
+Nmix_h2o      = 1.e7
+# number mixing ratio of water ice particles (for rafixed=.false.)
+Nmix_h2o_ice      = 5.e5
+# radius of H2O water particles (for rafixed=.true.):
+rad_h2o=10.e-6
+# radius of H2O ice particles (for rafixed=.true.):
+rad_h2o_ice=35.e-6
+# atm mass update due to tracer evaporation/condensation?
+mass_redistrib = .false.
 
 ## Water options 
@@ -116,8 +126,18 @@
 # Model water precipitation (including coagulation etc.)
 waterrain     = .true.
-# WATER: Precipitation threshold (simple scheme only) ?
-rainthreshold = 0.011
+# Use simple precipitation scheme?
+precip_scheme=4
+# multiplicative constant in Boucher 95 precip scheme
+Cboucher=1.
 # WATER: hydrology ?
 hydrology     = .true.
+# H2O snow (and ice) albedo ?
+albedosnow    = 0.6
+# Maximum sea ice thickness ?
+maxicethick   = 10.
+# Freezing point of seawater (degrees C) ?
+Tsaldiff      = 0.0
+# Evolve surface water sources ?
+sourceevol    = .false.
 
 ## CO2 options 
Index: trunk/LMDZ.GENERIC/deftank/earth1d_Dry.callphys.def
===================================================================
--- trunk/LMDZ.GENERIC/deftank/earth1d_Dry.callphys.def	(revision 728)
+++ trunk/LMDZ.GENERIC/deftank/earth1d_Dry.callphys.def	(revision 729)
@@ -134,12 +134,22 @@
 # H2O cloud fraction?
 CLFfixval     = 0.0
-# number mixing ratio of CO2 ice particles
-Nmix_co2      = 1.e5
-# number mixing ratio of water ice particles
-Nmix_h2o      = 1.e5
 # basic dust opacity
 dusttau       = 0.0
 # water cloud pressure level (norm. by psurf)
 cloudlvl      = 0.0
+# fixed radii for cloud particles?
+radfixed=.false.
+# number mixing ratio of CO2 ice particles
+Nmix_co2      = 100000.
+# number mixing ratio of water particles (for rafixed=.false.)
+Nmix_h2o      = 1.e7
+# number mixing ratio of water ice particles (for rafixed=.false.)
+Nmix_h2o_ice      = 5.e5
+# radius of H2O water particles (for rafixed=.true.):
+rad_h2o=10.e-6
+# radius of H2O ice particles (for rafixed=.true.):
+rad_h2o_ice=35.e-6
+# atm mass update due to tracer evaporation/condensation?
+mass_redistrib = .false.
 
 ## Water options 
@@ -151,6 +161,8 @@
 # Model water precipitation (including coagulation etc.)
 waterrain     = .false.
-# WATER: Precipitation threshold (simple scheme only) ?
-rainthreshold = 0.0011
+# Use simple precipitation scheme?
+precip_scheme=4
+# multiplicative constant in Boucher 95 precip scheme
+Cboucher=1.
 # Include hydrology ?
 hydrology     = .false.