Index: /trunk/LMDZ.MARS/libf/phymars/physiq.F
===================================================================
--- /trunk/LMDZ.MARS/libf/phymars/physiq.F	(revision 755)
+++ /trunk/LMDZ.MARS/libf/phymars/physiq.F	(revision 756)
@@ -325,4 +325,8 @@
       REAL dqdustsurf(ngridmx) ! surface q dust flux (kg/m2/s)
       REAL dndustsurf(ngridmx) ! surface n dust flux (number/m2/s)
+      REAL ndust(ngridmx,nlayermx) ! true n dust (kg/kg)
+      REAL qdust(ngridmx,nlayermx) ! true q dust (kg/kg)
+      REAL nccn(ngridmx,nlayermx)  ! true n ccn (kg/kg)
+      REAL qccn(ngridmx,nlayermx)  ! true q ccn (kg/kg)
 
 c Test 1d/3d scavenging
@@ -1481,14 +1485,22 @@
               do ig=1,ngrid 
                 dqdustsurf(ig) = 
-     &                dqsurf(ig,igcm_dust_mass)*tauscaling(ig)
+     &                zdqssed(ig,igcm_dust_mass)*tauscaling(ig)
                 dndustsurf(ig) = 
-     &                dqsurf(ig,igcm_dust_number)*tauscaling(ig)
+     &                zdqssed(ig,igcm_dust_number)*tauscaling(ig)
+                ndust(ig,:) =
+     &                pq(ig,:,igcm_dust_number)*tauscaling(ig)
+                qdust(ig,:) =
+     &                pq(ig,:,igcm_dust_mass)*tauscaling(ig)
               enddo
               if (scavenging) then
                 do ig=1,ngrid 
                   dqdustsurf(ig) = dqdustsurf(ig) + 
-     &                     dqsurf(ig,igcm_ccn_mass)*tauscaling(ig)
+     &                     zdqssed(ig,igcm_ccn_mass)*tauscaling(ig)
                   dndustsurf(ig) = dndustsurf(ig) + 
-     &                     dqsurf(ig,igcm_ccn_number)*tauscaling(ig)
+     &                     zdqssed(ig,igcm_ccn_number)*tauscaling(ig)
+                  nccn(ig,:) =
+     &                     pq(ig,:,igcm_ccn_number)*tauscaling(ig)
+                  qccn(ig,:) =
+     &                     pq(ig,:,igcm_ccn_mass)*tauscaling(ig)
                 enddo
               endif
@@ -1683,7 +1695,7 @@
      &                        'm',3,rdust*ref_r0)
                call wstats(ngridmx,'dustq','Dust mass mr',
-     &                        'kg/kg',3,pq(1,1,igcm_dust_mass))
+     &                        'kg/kg',3,qdust)
                call wstats(ngridmx,'dustN','Dust number',
-     &                        'part/kg',3,pq(1,1,igcm_dust_number))
+     &                        'part/kg',3,ndust)
              else
                do iq=1,dustbin
@@ -1698,7 +1710,7 @@
              if (scavenging) then
                call wstats(ngridmx,'ccnq','CCN mass mr',
-     &                        'kg/kg',3,pq(1,1,igcm_ccn_mass))
+     &                        'kg/kg',3,qccn)
                call wstats(ngridmx,'ccnN','CCN number',
-     &                        'part/kg',3,pq(1,1,igcm_ccn_number))
+     &                        'part/kg',3,nccn)
              endif ! (scavenging)
           
@@ -1993,16 +2005,16 @@
      &                        'm',3,rdust*ref_r0)
              call WRITEDIAGFI(ngridmx,'dustq','Dust mass mr',
-     &                        'kg/kg',3,pq(1,1,igcm_dust_mass))
+     &                        'kg/kg',3,qdust)
              call WRITEDIAGFI(ngridmx,'dustN','Dust number',
-     &                        'part/kg',3,pq(1,1,igcm_dust_number))
+     &                        'part/kg',3,ndust)
 #ifdef MESOINI
              call WRITEDIAGFI(ngridmx,'dustq','Dust mass mr',
-     &                        'kg/kg',3,pq(1,1,igcm_dust_mass))
+     &                        'kg/kg',3,qdust)
              call WRITEDIAGFI(ngridmx,'dustN','Dust number',
-     &                        'part/kg',3,pq(1,1,igcm_dust_number))
+     &                        'part/kg',3,ndust)
              call WRITEDIAGFI(ngridmx,'ccn','Nuclei mass mr',
-     &                        'kg/kg',3,pq(1,1,igcm_ccn_mass))
+     &                        'kg/kg',3,qccn)
              call WRITEDIAGFI(ngridmx,'ccnN','Nuclei number',
-     &                        'part/kg',3,pq(1,1,igcm_ccn_number))
+     &                        'part/kg',3,nccn)
 #endif
            else
@@ -2018,7 +2030,7 @@
            if (scavenging) then
              call WRITEDIAGFI(ngridmx,'ccnq','CCN mass mr',
-     &                        'kg/kg',3,pq(1,1,igcm_ccn_mass))
+     &                        'kg/kg',3,qccn)
              call WRITEDIAGFI(ngridmx,'ccnN','CCN number',
-     &                        'part/kg',3,pq(1,1,igcm_ccn_number))
+     &                        'part/kg',3,nccn)
            endif ! (scavenging)
 