Index: trunk/LMDZ.MARS/libf/phymars/nlte_paramdef.h
===================================================================
--- trunk/LMDZ.MARS/libf/phymars/nlte_paramdef.h	(revision 498)
+++ trunk/LMDZ.MARS/libf/phymars/nlte_paramdef.h	(revision 757)
@@ -3,17 +3,29 @@
 c       Merging of different parameters definitions for new NLTE 15um param
 c
-c       jan 2012    fgg+malv
+c       jul 2012    fgg+malv
 c****************************************************************************
-c *** Old nltedefs.h ***
-! NLTE grid parameters:
+c *** Old mz1d.par ***
+! Grids parameters :
 
-	integer nl		! actual # alt in NLTE module 
-	parameter ( nl=20 )
+	integer nztabul          ! # points in tabulation of Tesc & VC (ISO)
+	parameter ( nztabul=79 ) 
 
+! NLTE parameters:
+
+	integer nltot		! incluye el actual # alt in NLTE module 
+	parameter ( nltot=20 )  ! y el # alturas del Tstar110
+
+	integer nl		! actual # alt in NLTE module & C.Matrix 
+	parameter ( nl=12 )
 	integer nl2		! = nl-2, needed for matrix inversion (mmh2)
 	parameter ( nl2=nl-2 )	
 
 	integer nzy
-	parameter ( nzy = (nl-1)*4 + 1 )  ! Fine grid for mztud.f
+	parameter ( nzy = (nl-1)*4 + 1 )  ! Fine grid for C.Matrix
+
+	integer nl_cts         ! actual # alt para Tstar110
+	parameter ( nl_cts = 2 + nltot-nl )
+	integer nzy_cts         ! fine grid for transmit calculation
+	parameter ( nzy_cts = (nl_cts-1)*4 + 1 ) 
 
 
@@ -27,140 +39,51 @@
 
 	integer         nbox_max
-	parameter       ( nbox_max = 70 )       ! max.# boxes in histogram
+	parameter       ( nbox_max = 4 )       ! max.# boxes in histogram
 
 
-c *** Old tcr15um.h ***
-      integer   irw_mztf,imu,ioverlap,nw,itt_cza,icls_mztf,nan
-c
-      parameter (irw_mztf     = 2)
-      parameter (imu          = 1)
-      parameter (ioverlap     = 0)
-      parameter (nw           = 3)
-      parameter (itt_cza      = 13)
-      parameter (icls_mztf    = 5)
-      parameter (nan          = 0)
-c
-c 
-      integer iopt3, iopt19,iopt20, iopt21,iopt27,iopt26
-c
-      parameter (iopt3        = 1)
-      parameter (iopt19       = 2)
-      parameter (iopt20       = 2)
-      parameter (iopt21       = 1)
-      parameter (iopt27       = 1)
-      parameter (iopt26       = 2)
-c
-c
-      integer	iopt41,iopt43, iopt6
-c
-      parameter (iopt6        = 2)
-      parameter (iopt41       = 2)
-      parameter (iopt43       = 2)
-c
-c
-      real   tsurf_excess,Pbottom_atm,Ptop_atm
-c
-      parameter (tsurf_excess = 0.)
-      parameter (Pbottom_atm  = 2.e-5)
-      parameter (Ptop_atm     = 5.e-12)
-c
-c
-      real*8 rf1,rf2desac,rf2iso,rf3,rf6
-c
-      parameter (rf1          = 1.d0)
-      parameter (rf2desac     = 1.d0)
-      parameter (rf2iso       = 1.d0)
-      parameter (rf3          = 1.d0)
-      parameter (rf6          = 1.d0)  
-c
-c
-      real*8 rf7,rf19,rf20,rf21a,rf21b,rf21c 
-c
-      parameter (rf7          = 1.d0)
-      parameter (rf19         = 1.d0)
-      parameter (rf20         = 1.d0)
-      parameter (rf21a        = 1.d0)
-      parameter (rf21b        = 1.d0)
-      parameter (rf21c        = 1.d0)
-c
-c
-      real*8 rf26,rf27f,rf27s,rf28,rf31,rf32,rf33a,rf33bc
-c
-      parameter (rf26         = 1.d0)
-      parameter (rf27f        = 1.d0)
-      parameter (rf27s        = 1.d0)
-      parameter (rf28         = 1.d0)
-      parameter (rf31         = 1.d0)
-      parameter (rf32         = 1.d0)
-      parameter (rf33a        = 1.d0)
-      parameter (rf33bc       = 1.d0)
-c
-c
-      real*8 rf41,rf42,rf43,rf_hcl,rf44
-c
-      parameter (rf41         = 1.d0)
-      parameter (rf42         = 1.d0)
-      parameter (rf43         = 1.d0)
-      parameter (rf_hcl       = 1.d0)
-      parameter (rf44         = 1.d0)
-c
-c                  
-      real*8 frac6,frac21,frac33
-c
-      parameter (frac6        = 1.d0)
-      parameter (frac21       = 1.d0)
-      parameter (frac33       = 1.d0)
+c *** Old tcr_15um.h ***
+
+        integer itt_cza                        ! Selection of NLTE scheme
+        parameter       ( itt_cza = 13 )
+
+        real    Ptop_atm, Pbottom_atm          ! Upper and lower limits of
+                                               ! NLTE model
+        parameter       ( Ptop_atm = 3.e-10 , Pbottom_atm = 2.e-5 ) 
+        
+
+        real*8  rf19,rf20,rf21a,rf21b,rf21c,rf33bc
+        parameter       ( rf19 = 1.d0, rf20 = 1.d0, rf21a = 1.d0)
+        parameter       ( rf21b = 1.d0, rf21c = 1.d0, rf33bc = 1.d0 )
 
 
-c *** Old nlte_data.h and bloque.F ***
-      real*8  vlight, ee, hplanck, gamma
-      parameter (vlight       = 2.9979245e10)
-      parameter (ee           = 1.43876866)
-      parameter (hplanck      = 6.6260755e-27)
-      parameter (gamma        = 1.191043934e-5)
+c *** Old bloque_dlvr11.f ***
 
-      real imr(nisot), imrco
-      parameter (imrco        = 0.9865)      
-      data imr / 0.987, 0.00408, 0.0112, 0.000742 /  
+        real nu(nisot,8)
+c data
+        data nu(1,1),nu(1,2) /667.3801, 1335.1317/
+        data nu(2,1)/662.3734/
+        data nu(3,1)/648.4784/
+        data nu(4,1)/664.7289/
 
-      integer indexisot(nisot)
-      data indexisot/26,28,36,27/
+        real nu12_0200,nu12_1000
+        parameter      (nu12_0200 = 1285.4087)
+	parameter      (nu12_1000 = 1388.1847) 
 
-      real deltanuco
-      parameter (deltanuco    = 306.)
+        integer indexisot(nisot)
+        data indexisot/26,28,36,27/
 
-      real nuco_10
-      parameter (nuco_10      = 2143.2716)
+	! ctes en el sistema cgs
+        real*8  vlight, ee, hplanck, gamma
+        parameter (vlight       = 2.9979245e10)
+        parameter (ee           = 1.43876866)
+        parameter (hplanck      = 6.6260755e-27)
+        parameter (gamma        = 1.191043934e-5)
 
-      real nun2,nu12_0200,nu12_1000,nu22_0200,nu22_1000
-      parameter (nun2         = 2331.0)
-      parameter (nu12_0200    = 1285.4087)
-      parameter (nu12_1000    = 1388.1847)
-      parameter (nu22_0200    = 1259.4257)
-      parameter (nu22_1000    = 1365.8439)
 
-      real nu32_0200,nu32_1000, nu42_0200,nu42_1000
-      parameter (nu32_0200    = 1265.8282)
-      parameter (nu32_1000    = 1370.0626)
-      parameter (nu42_0200    = 1272.2866)
-      parameter (nu42_1000    = 1376.0275)
+	! datos de marte
+        real imr(nisot)
+        data imr / 0.987, 0.00408, 0.0112, 0.000742 /
 
-      real nu(nisot,8)
-      data nu(1,1),nu(1,2),nu(1,3),nu(1,4)    
-     @    /667.3801, 1335.1317, 2003.2463, 2349.1433/       
-      data nu(1,5),nu(1,6),nu(1,7),nu(1,8)    
-     @   /3004.0112, 3612.8417, 3659.2728, 3714.7828/       
-      data nu(2,1),nu(2,2),nu(2,3),nu(2,4)    
-     @   /662.3734, 1325.1410, 1988.3280, 2332.1128/        
-      data nu(2,5),nu(2,6),nu(2,7),nu(2,8)    
-     @   /2982.1115, 3571.1404, 3632.5240, 3675.1332/       
-      data nu(3,1),nu(3,2),nu(3,3),nu(3,4)    
-     @   /648.4784, 1297.2640, 1946.3507, 2283.4876/        
-      data nu(3,5),nu(3,6),nu(3,7),nu(3,8)    
-     @   /2920.2387, 3527.7380, 3557.3145, 3632.9112/       
-      data nu(4,1),nu(4,2),nu(4,3),nu(4,4)    
-     @   /664.7289, 1329.8430, 1995.3520, 2340.0136/        
-      data nu(4,5),nu(4,6),nu(4,7),nu(4,8)    
-     @   /2992.3100, 3591.2510, 3644.9900, 3693.3460/
 
-      
+
+