Index: trunk/LMDZ.MARS/libf/dyn3d/inidissip.F
===================================================================
--- trunk/LMDZ.MARS/libf/dyn3d/inidissip.F	(revision 757)
+++ trunk/LMDZ.MARS/libf/dyn3d/inidissip.F	(revision 758)
@@ -51,13 +51,13 @@
 c         FF 2004       
          if (pseudoalt(llm).lt.160.) then 
-             fac_mid=2  ! coeff  pour dissipation aux basses/moyennes altitudes
+             fac_mid=3  ! coeff  pour dissipation aux basses/moyennes altitudes
              fac_up=30 ! coeff multiplicateur pour dissipation hautes altitudes
              startalt=70. ! altitude en Km de la transition mid / up
              delta=20.! Intervalle (km) pour le changement mid / up
          else ! thermosphere model
-             fac_mid=2 ! coeff pour dissipation aux basses/moyennes altitudes
-             fac_up=25 ! coeff multiplicateur pour dissipation hautes altitudes
+             fac_mid=3 ! coeff pour dissipation aux basses/moyennes altitudes
+             fac_up=30 ! coeff multiplicateur pour dissipation hautes altitudes
 c            startalt: 95 OK for MY24
-             startalt=95. ! altitude en Km de la transition mid / up
+             startalt=70. ! altitude en Km de la transition mid / up
              delta=30.! Intervalle (km) pour le changement mid /up
          end if
Index: trunk/LMDZ.MARS/libf/phymars/physiq.F
===================================================================
--- trunk/LMDZ.MARS/libf/phymars/physiq.F	(revision 757)
+++ trunk/LMDZ.MARS/libf/phymars/physiq.F	(revision 758)
@@ -1585,4 +1585,6 @@
         call wstats(ngrid,"co2ice","CO2 ice cover",
      &                "kg.m-2",2,co2ice)
+        call wstats(ngrid,"tauref","reference dod at 610 Pa","NU",
+     &                2,tauref)
         call wstats(ngrid,"fluxsurf_lw",
      &                "Thermal IR radiative flux to surface","W.m-2",2,
@@ -1605,9 +1607,9 @@
         call wstats(ngrid,"rho","Atmospheric density","kg/m3",3,rho)
         call wstats(ngrid,"pressure","Pressure","Pa",3,pplay)
-c          call wstats(ngrid,"q2",
-c    &                "Boundary layer eddy kinetic energy",
-c    &                "m2.s-2",3,q2)
-c          call wstats(ngrid,"emis","Surface emissivity","w.m-1",2,
-c    &                emis)
+          call wstats(ngrid,"q2",
+     &                "Boundary layer eddy kinetic energy",
+     &                "m2.s-2",3,q2)
+          call wstats(ngrid,"emis","Surface emissivity","w.m-1",2,
+     &                emis)
 c          call wstats(ngrid,"ssurf","Surface stress","N.m-2",
 c    &                2,zstress)
@@ -1616,4 +1618,14 @@
 c          call wstats(ngrid,"lw_htrt","lw heat.rate",
 c    &                 "W.m-2",3,zdtlw)
+
+          if (calltherm) then
+            call wstats(ngrid,"zmax_th","Height of thermals",
+     &                "m",2,zmax_th)
+            call wstats(ngrid,"hfmax_th","Max thermals heat flux",
+     &                "K.m/s",2,hfmax_th)
+            call wstats(ngrid,"wstar",
+     &                "Max vertical velocity in thermals",
+     &                "m/s",2,wstar)
+          endif
 
            if (tracer) then
@@ -1637,7 +1649,7 @@
      &                    "surface h2o_ice","kg/m2",
      &                    2,qsurf(1,igcm_h2o_ice))
-c               call wstats(ngrid,'albedo',
-c     &                         'albedo',
-c     &                         '',2,albedo(1:ngridmx,1))
+               call wstats(ngrid,'albedo',
+     &                         'albedo',
+     &                         '',2,albedo(1:ngridmx,1))
                call wstats(ngrid,"mtot",
      &                    "total mass of water vapor","kg/m2",
@@ -1847,5 +1859,5 @@
 c        call WRITEDIAGFI(ngrid,"q2","q2","kg.m-3",3,q2)
 c        call WRITEDIAGFI(ngrid,'Teta','T potentielle','K',3,zh)
-         call WRITEDIAGFI(ngrid,"pressure","Pressure","Pa",3,pplay)
+         call WRITEDIAGFI(ngrid,"pressure","Pressure","Pa",3,zplay)
 c        call WRITEDIAGFI(ngrid,"ssurf","Surface stress","N.m-2",2,
 c    &                  zstress)
@@ -1980,6 +1992,6 @@
 c        ----------------------------------------------------------
 
-c        call WRITEDIAGFI(ngridmx,'tauref',
-c    &                    'Dust ref opt depth','NU',2,tauref)
+        call WRITEDIAGFI(ngridmx,'tauref',
+     &                    'Dust ref opt depth','NU',2,tauref)
 
          if (tracer.and.(dustbin.ne.0)) then